Du visar hjälpinnehåll för version:

Installing the Compatibility package on AEM Forms 6.4 allows you to use the Correspondence Management assets from AEM Forms 6.3 and deprecated adaptive forms templates and pages

Overview

Interactive communication is the default and recommended approach to create customer communications in AEM Forms 6.4. To continue using the letters from AEM 6.3 Forms and AEM 6.2 Forms, you need to install the AEMFD Compatibility package.

The AEMFD Compatibility package allows you to use the following assets from AEM Forms 6.3 and 6.2 on AEM Forms 6.4:

  • Document fragments created in AEM Forms 6.3 and 6.2
  • Letters
  • Data dictionaries
  • Adaptive forms deprecated templates and pages

For more information, see Assets made compatible with AEM Forms 6.4 by installing the Compatibility package

Add support for AEM Forms 6.3 and 6.2 assets in AEM Forms 6.4

After performing an upgrade, do the following to install the AEMFD compatibility package and make your assets compatible with 6.4:

Ensure that you have AEM Compatibility package pre-installed. 

  1. Install the Compatibility package

    For more information on uploading and installing the package, see How to work with packages.

  2. After the logs are stabilized, restart the server. 

  3. Use the migration utility for making your assets compatible with 6.4. 

    For more information, see migration utility

Assets made compatible with AEM Forms 6.4 by installing the Compatibility package

By installing the Compatibility package, you can make the following assets and templates compatible with AEM Forms 6.4: 
  • Correspondence Management Assets from AEM 6.3 and earlier
  • Adaptive form deprecated templates
    • /libs/fd/af/templates/blankTemplate2
    • /libs/fd/af/templates/simpleEnrollmentTemplate
    • /libs/fd/af/templates/simpleEnrollmentTemplate2
    • /libs/fd/af/templates/surveyTemplate
    • /libs/fd/af/templates/surveyTemplate2
    • /libs/fd/af/templates/tabbedEnrollmentTemplate
    • /libs/fd/af/templates/tabbedEnrollmentTemplate2
    • /libs/fd/afaddon/templates/advancedEnrollmentTemplate
    • /libs/fd/afaddon/templates/advancedEnrollmentTemplate2
  • Adaptive forms deprecated pages:
    • /libs/fd/af/components/page/survey
    • /libs/fd/af/components/page/tabbedenrollment
    • /libs/fd/afaddon/components/page/advancedenrollment 

Denna produkt är licensierad enligt en Creative Commons Erkännande-Ickekommersiell-Dela Lika 3.0 Unported-licens  Twitter™- och Facebook-inlägg omfattas inte av villkoren i Creative Commons-licensen.

Juridiska meddelanden   |   Onlinesekretesspolicy